#
# spec file for package perl-Compress-Raw-Bzip2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Compress-Raw-Bzip2
Version:        2.084
Release:        1.1
#Upstream: Artistic-1.0 or GPL-1.0+
%define cpan_name Compress-Raw-Bzip2
Summary:        Low-Level Interface to bzip2 compression library
License:        BSD-3-Clause AND (GPL-1.0-or-later OR Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'Compress::Raw::Bzip2' provides an interface to the in-memory
compression/uncompression functions from the bzip2 compression library.

Although the primary purpose for the existence of 'Compress::Raw::Bzip2' is
for use by the 'IO::Compress::Bzip2' and 'IO::Compress::Bunzip2' modules,
it can be used on its own for simple compression/uncompression tasks.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Jan  7 2019 coolo@suse.com
- updated to 2.084
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.084 5 January 2019
  * No Changes
* Mon Dec 31 2018 coolo@suse.com
- updated to 2.083
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.083 30 December 2018
  * No Changes
* Mon Apr  9 2018 coolo@suse.com
- updated to 2.081
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.081 4 April 2018
  * previous release used $^W instead of use warnings. Fixed.
* Wed Apr  4 2018 coolo@suse.com
- updated to 2.080
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.080 2 April 2018
  * No Changes
* Mon Feb 20 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
* Mon Feb 13 2017 coolo@suse.com
- updated to 2.072
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.072 4 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
* Fri Dec 30 2016 coolo@suse.com
- updated to 2.070
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.070 28 Dec 2016
  * #119005: [PATCH] Wrong APPEND_OUTPUT logic
  * #119141: perl-Compress-Raw-Bzip2-2.069 bug report
  * #100817: gcc 4.9.2 warnings
    Coped fix for same issue from #105647
* Mon Sep 28 2015 coolo@suse.com
- updated to 2.069
  see /usr/share/doc/packages/perl-Compress-Raw-Bzip2/Changes
    2.069 26 Sept 2015
  * reduce compiler warnings and stderr noise
    [#101340]
  * consting misc tables
    [#101296]
* Wed Dec 24 2014 jw@owncloud.com
- update to 2.068 23 Dec 2014
  * No Changes
- 2.067 8 Dec 2014
  * Silence compiler warnings
- 2.066 21 Sept 2014
  * No Changes
- 2.064 1 February 2014
  * [PATCH] Handle non-PVs better [#91558]
- 2.063 20 October 2013
  * Compress::Raw::Bzip2 uses AutoLoader for no reason [#88259]
* Mon Oct 14 2013 lars@linux-schulserver.de
- update to 2.062
  + silence compiler warning by making 2nd parameter to
    DispStream a const char*
  + Copy-on-write support [RT#81352]
  + Compress::Raw::Bzip2 needs to use PERL_NO_GET_CONTEXT
    [RT#80318]
  + Install to 'site' instead of 'perl' when perl version is 5.11+
    [#79811]
  + update to ppport.h that includes SvPV_nomg_nolen [#78080]
  + Fix misuse of magic in API [RT#78080}
* Mon Jun 25 2012 chris@computersalat.de
- update to 2.052
  - 2.047 28 January 2012
  * Set minimum Perl version to 5.6
  - 2.045 3 December 2011
  * Moved FAQ.pod to IO::Compress
  - 2.044 2 December 2011
  * Moved FAQ.pod under the lib directory so it can get installed
* Wed Nov 30 2011 cfarrell@suse.com
- license update: BSD-3-Clause and (GPL-1.0+ or Artistic-1.0)
  Bzip2 license is ~= BSD-3-Clause and this is aggregated with Perl license
  - > the entire thing to SPDX format
* Tue Nov 29 2011 coolo@suse.com
- update to 2.040
  * croak if attempt to freeze/thaw compression object
    [RT #69985]
* Mon Jun 20 2011 jw@novell.com
- updated to 2.036, version needed by perl-IO-Compress
* Sun Jun  5 2011 lars@linux-schulserver.de
- update to 2.035, no useful changelog
* Wed May  4 2011 coolo@opensuse.org
- updated to 2.034, no useful changelog
* Fri Apr 15 2011 coolo@opensuse.org
- updated to 2.033, no useful changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Jun 25 2010 jw@novell.com
- updated to 2.027
  * Documented the unused "verbosity" option in Compress::Raw::Bunzip2::new
  * Removed redundant bzip2 source files from the bzip2-src directory.
  * Fixed instance where $[ should have been $] in t/01bzip2.t
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Thu Jun 18 2009 chris@computersalat.de
- initial package 2.015
